Bug 620063 - several folders below /usr/share/locale have no owner
several folders below /usr/share/locale have no owner
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: filesystem (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Ondrej Vasik
qe-baseos-daemons
: RHELNAK
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-31 14:17 EDT by manuel wolfshant
Modified: 2011-07-20 08:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Prior to this update, certain locale subdirectories in the /usr/share/locale/ directory did not have any owner set. With this update, this bug has been fixed so that the filesystem package now owns the subdirectories of the following locales: bg_BG (Bulgarian), en_NZ (New Zealand English), fi_FI (Finnish), gl_ES (Galician), lv_LV (Latvian), ms_MY (Malaysian), sr_RS (Serbian), en@shaw (Shavian), zh_CN.GB2312 (Chinese Simplified), sr@ijekavian (Serbian Jekavian), and sr@ijekavianlatin (Serbian Jekavian Latin).
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-20 08:37:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0966 normal SHIPPED_LIVE filesystem bug fix update 2011-07-20 08:37:40 EDT

  None (edit)
Description manuel wolfshant 2010-07-31 14:17:42 EDT
Description of problem:
I have just noticed that a couple of the folders installed below /usr/share/locale have no owner

Version-Release number of selected component (if applicable):

filesystem-2.4.30-2.1.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. rpm -qf  /usr/share/locale/*|grep not
  
Actual results:
file /usr/share/locale/be-tarask is not owned by any package
file /usr/share/locale/bg_BG is not owned by any package
file /usr/share/locale/ds is not owned by any package
file /usr/share/locale/en_NZ is not owned by any package
file /usr/share/locale/en@shaw is not owned by any package
file /usr/share/locale/fi_FI is not owned by any package
file /usr/share/locale/gl_ES is not owned by any package
file /usr/share/locale/hne is not owned by any package
file /usr/share/locale/lv_LV is not owned by any package
file /usr/share/locale/ms_MY is not owned by any package
file /usr/share/locale/sr_RS is not owned by any package
file /usr/share/locale/zh_CN.GB2312 is not owned by any package


Expected results:

All folders should be owned, probably by the filesystem rpm

Additional info:
[wolfy@wolfy tmp]$ rpm -qf /etc/redhat-release
redhat-release-workstation-5.90Workstation-6.0.0.32.el6.x86_64

Mind that [at least partially] the content below those folders is also unowned:
[wolfy@wolfy tmp]$ rpm -qf  /usr/share/locale/en@shaw/*
file /usr/share/locale/en@shaw/LC_MESSAGES is not owned by any package
Comment 2 RHEL Product and Program Management 2010-07-31 14:47:32 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 3 Ondrej Vasik 2010-07-31 15:54:45 EDT
Thanks for report, all locale folders defined by ISO(and there are already some exceptions) should be owned by filesystem, will check why these folders are not owned...
Comment 4 Bill Nottingham 2010-08-02 15:41:15 EDT
be-tarask certainly isn't an iso locale, and I'm curious what sort of regional variant en@shaw is supposed to be.

What packages place things in these LC_MESSAGES dirs?
Comment 5 manuel wolfshant 2010-08-02 17:34:03 EDT
[wolfy@wolfy ~]$ for i in $(rpm -qf /usr/share/locale/*| grep not| cut -f 2 -d ' '); do ls -R $i;done
/usr/share/locale/be-tarask:
LC_MESSAGES

/usr/share/locale/be-tarask/LC_MESSAGES:
mc.mo
/usr/share/locale/bg_BG:
pgadmin3.mo
/usr/share/locale/ds:
LC_MESSAGES

/usr/share/locale/ds/LC_MESSAGES:
/usr/share/locale/en_NZ:
LC_MESSAGES

/usr/share/locale/en_NZ/LC_MESSAGES:
avahi.mo
/usr/share/locale/en@shaw:
LC_MESSAGES

/usr/share/locale/en@shaw/LC_MESSAGES:
gnome-desktop-2.0.mo   gnome-keyring.mo   libgnomekbd.mo      vte.mo
gnome-disk-utility.mo  gnome-terminal.mo  totem-pl-parser.mo  yelp.mo
/usr/share/locale/fi_FI:
pgadmin3.mo
/usr/share/locale/gl_ES:
pgadmin3.mo
/usr/share/locale/hne:
LC_MESSAGES

/usr/share/locale/hne/LC_MESSAGES:
akregator_konqplugin.mo  imgalleryplugin.mo           kipiplugin_sendimages.mo    minitoolsplugin.mo
autorefresh.mo           khtmlsettingsplugin.mo       kipiplugins.mo              rellinks.mo
babelfish.mo             kipiplugin_acquireimages.mo  kipiplugin_timeadjust.mo    searchbarplugin.mo
crashesplugin.mo         kipiplugin_gpssync.mo        kipiplugin_wallpaper.mo     uachangerplugin.mo
dirfilterplugin.mo       kipiplugin_jpeglossless.mo   konqsidebar_mediaplayer.mo  validatorsplugin.mo
domtreeviewer.mo         kipiplugin_metadataedit.mo   konqsidebar_metabar.mo      webarchiver.mo
fsview.mo                kipiplugin_rawconverter.mo   mf_konqplugin.mo
/usr/share/locale/lv_LV:
pgadmin3.mo
/usr/share/locale/ms_MY:
LC_MESSAGES

/usr/share/locale/ms_MY/LC_MESSAGES:
pidgin.mo
/usr/share/locale/sr_RS:
pgadmin3.mo
/usr/share/locale/zh_CN.GB2312:
LC_MESSAGES

/usr/share/locale/zh_CN.GB2312/LC_MESSAGES:
Comment 8 Ondrej Vasik 2010-11-10 07:45:39 EST
So by packages:

zh_CN.GB2312 : gtk+ - zh_CN.GB2312 is already added to exception list in Fedora
ms_MY :        libpurple
sr_RS, fi_FI, gl_ES, bg_BG :        pgadmin3
hne   :        konq-plugins
en@shaw :      various gnome packages - probably worth of an exception in filesystem package
(gdm, gnome-desktop, gnome-disk-utility-libs, gnome-keyring, gnome-media-libs, gnome-panel, gnome-terminal, libgnomekbd, sound-juicer, totem-pl-parser, vte, yelp)
en_NZ:         avahi
ds   :         rhn-client-tools, rhnsd, yum-rhn-plugin
be-tarask :    mc

Personally I think adding en@shaw and zh_CN.GB2312 into filesystem exception list is reasonable and the rest should probably be reported as separate bugreports against packages mentioned above (and these packages should either remove these locale files or own these directories.
Comment 9 Suzanne Yeghiayan 2011-02-15 16:41:14 EST
This issue was proposed for RHEL 6.1 FasTrack but did not get resolved in time.
It has been moved to RHEL 6.2 FasTrack.
Comment 11 Suzanne Yeghiayan 2011-02-15 17:04:41 EST
This issue was proposed for RHEL 6.1 FasTrack but did not get resolved in time.
It has been moved to RHEL 6.2 FasTrack.
Comment 16 Petr Kovar 2011-07-04 13:11:55 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Prior to this update, certain locale subdirectories in the /usr/share/locale/ directory did not have any owner set. With this update, this bug has been fixed so that the filesystem package now owns the subdirectories of the following locales: bg_BG (Bulgarian), en_NZ (New Zealand English), fi_FI (Finnish), gl_ES (Galician), lv_LV (Latvian), ms_MY (Malaysian), sr_RS (Serbian), en@shaw (Shavian), zh_CN.GB2312 (Chinese Simplified), sr@ijekavian (Serbian Jekavian), and sr@ijekavianlatin (Serbian Jekavian Latin).
Comment 18 errata-xmlrpc 2011-07-20 08:37:44 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0966.html

Note You need to log in before you can comment on or make changes to this bug.